diff -crB c:\mame0106s\mame0106s\src/mamedriv.c c:\mingw9\mame\src/mamedriv.c
*** c:\mame0106s\mame0106s\src/mamedriv.c	Wed May 10 21:35:28 2006
--- c:\mingw9\mame\src/mamedriv.c	Fri Jun 29 19:25:16 2012
***************
*** 3258,4620 ****
  	DRIVER( smgpu2 )	/* (c) 1989 (FD1094, decrypted) */
  	DRIVER( smgpu1 )	/* (c) 1989 (FD1094, decrypted) */
  	DRIVER( smgpj )		/* (c) 1989 (FD1094, decrypted) */
! 
! 	/* Y-Board */
! 	DRIVER( gforce2 )	/* (c) 1988 */
! 	DRIVER( gforce2j )	/* (c) 1988 */
! 	DRIVER( gloc )		/* (c) 1990 */
! 	DRIVER( glocr360 )	/* (c) 1990 */
! 	DRIVER( strkfgtr )	/* (c) 1991 */
! 	DRIVER( pdrift )	/* (c) 1988 */
! 	DRIVER( pdrifta )	/* (c) 1988 */
! 	DRIVER( pdriftj )	/* (c) 1988 */
! 	DRIVER( rchase )	/* (c) 1991 */
! 
! /*
! Sega System 24 game list
! Apr.1988 Hot Rod
! Oct.1988 Scramble Spirits
! Nov.1988 Gain Ground
! Apr.1989 Crack Down
! Aug.1989 Jumbo Ozaki Super Masters
! Jun.1990 Bonanza Bros.
! Dec.1990 Rough Racer
! Feb.1991 Quiz Syukudai wo Wasuremashita
! Jul.1991 Dynamic C.C.
! Dec.1991 Quiz Rouka ni Tattenasai
! Dec.1992 Tokorosan no MahMahjan
! May.1993 Quiz Mekurumeku Story
! May.1994 Tokorosan no MahMahjan 2
! Sep.1994 Quiz Ghost Hunter
! */
! 	/* disk based */
! 	DRIVER( hotrod )	/* (c) 1988 */
! 	DRIVER( hotroda )	/* (c) 1988 */
! 	DRIVER( hotrodj )	/* (c) 1988 */
! 	DRIVER( sspirits ) 	/* (c) 1988 */
! 	DRIVER( sspiritj ) 	/* (c) 1988 */
! 	DRIVER( sspirtfc )	/* (c) 1988 (protected) */
! 	DRIVER( gground )	/* (c) 1988 (FD1094, decrypted) */
! 	DRIVER( crkdown )	/* (c) 1989 (FD1094, decrypted) */
! 	DRIVER( crkdownj )	/* (c) 1989 (FD1094, decrypted) */
! 	DRIVER( sgmast )	/* (c) 1989 (protected) */
! 	DRIVER( sgmastc )	/* (c) 1989 (FD1094, decrypted) */
! 	DRIVER( sgmastj )	/* (c) 1989 (FD1094, decrypted) */
! 	DRIVER( roughrac )	/* (c) 1990 (FD1094, decrypted) */
! 	DRIVER( bnzabros )	/* (c) 1990 */
! 	DRIVER( bnzabrsj )	/* (c) 1990 */
! 	DRIVER( qsww )		/* (c) 1991 */
! 	DRIVER( dcclubfd )	/* (c) 1991 */
! 
! 	/* ROM based */
! 	DRIVER( dcclub )	/* (c) 1991 */
! 	DRIVER( mahmajn )	/* (c) 1992 */
! 	DRIVER( qgh )		/* (c) 1994 */
! 	DRIVER( quizmeku )	/* (c) 1994 */
! 	DRIVER( qrouka )	/* (c) 1994 */
! 	DRIVER( mahmajn2 )	/* (c) 1994 */
! 
  	/* Sega System 32 games */
- 	DRIVER( holo )		/* (c) 1992 (US) */
- 	DRIVER( svf )		/* (c) 1994 */
- 	DRIVER( svs )		/* (c) 1994 */
- 	DRIVER( jleague )	/* (c) 1994 (Japan) */
- 	DRIVER( brival )	/* (c) 1992 (World) */
- 	DRIVER( brivalj )	/* (c) 1992 (Japan) */
  	DRIVER( radm )		/* (c) 1991 (World) */
  	DRIVER( radmu )		/* (c) 1991 (US) */
  	DRIVER( radr )		/* (c) 1991 (World) */
  	DRIVER( radru )		/* (c) 1991 (US) */
  	DRIVER( f1en )		/* (c) 1991 */
- 	DRIVER( alien3 )	/* (c) 1993 */
- 	DRIVER( alien3u )	/* (c) 1993 */
- 	DRIVER( sonic )		/* (c) 1992 (Japan) */
- 	DRIVER( sonicp )	/* (c) 1992 (Japan) */
- 	DRIVER( jpark )		/* (c) 1994 */
- 	DRIVER( ga2 )		/* (c) 1992 (World) */
- 	DRIVER( ga2u )		/* (c) 1992 (US) */
- 	DRIVER( ga2j )		/* (c) 1992 (Japan) */
- 	DRIVER( spidman )	/* (c) 1991 (World) */
- 	DRIVER( spidmanu )	/* (c) 1991 (US) */
- 	DRIVER( arabfgt )	/* (c) 1991 */
- 	DRIVER( arabfgtu )	/* (c) 1991 (US) */
- 	DRIVER( arabfgtj )	/* (c) 1991 (Japan) */
- 	DRIVER( arescue )	/* (c) 1992 */
- 	DRIVER( f1lap )		/* (c) 1993 */
- 	DRIVER( dbzvrvs )	/* (c) 1994 Sega/Banpresto */
- 	DRIVER( darkedge )	/* (c) 1992 */
- 	DRIVER( darkedgj )	/* (c) 1992 (Japan) */
  	DRIVER( slipstrm )	/* (c) 1995 Capcom */
! 
  	/* Sega Multi System 32 games */
  	DRIVER( orunners )	/* (c) 1992 (World) */
  	DRIVER( orunneru )	/* (c) 1992 (US) */
- 	DRIVER( harddunk )	/* (c) 1994 (World) */
- 	DRIVER( harddunj )	/* (c) 1994 (Japan) */
- 	DRIVER( titlef )	/* (c) 1992 (World) */
- 	DRIVER( titlefu )	/* (c) 1992 (US) */
  	DRIVER( scross )	/* (c) 1992 (World) */
! 
! 	/* Model 1 Games */
! 	DRIVER( vf )		/* (c) 1993 */
! 	DRIVER( vr )		/* (c) 1992 */
! 	DRIVER( vformula )	/* (c) 1993 */
! 	DRIVER( swa )		/* (c) 1993 */
! 	DRIVER( wingwar )	/* (c) 1994 */
! 	DRIVER( wingwara )	/* (c) 1994 (US) */
! 
! 	/* Sega H1 games */
! 	DRIVER( coolridr )	/* (c) 1995 */
! 
! 	/* Sega ST-V games */
! 	DRIVER( stvbios )
! 	DRIVER( astrass )	/* (c) 1998 Sunsoft */
! 	DRIVER( bakubaku )	/* (c) 1996 */
! 	DRIVER( colmns97 )	/* (c) 1996 */
! 	DRIVER( cotton2 )	/* (c) 1997 Success */
! 	DRIVER( cottonbm )	/* (c) 1998 Success */
! 	DRIVER( decathlt )	/* (c) 1995 */
! 	DRIVER( diehard )	/* (c) 1996 */
! 	DRIVER( dnmtdeka )	/* (c) 1996 */
! 	DRIVER( ejihon )	/* (c) 1995 */
! 	DRIVER( elandore )	/* (c) 1998 Sai-Mate */
! 	DRIVER( ffreveng )	/* (c) 1999 Capcom */
! 	DRIVER( fhboxers )	/* (c) 1995 */
! 	DRIVER( findlove )	/* (c) 1996 Daika / FCF */
! 	DRIVER( finlarch )	/* (c) 1995 */
! 	DRIVER( gaxeduel )	/* (c) 1994 */
! 	DRIVER( grdforce )	/* (c) 1998 Success */
! 	DRIVER( groovef )	/* (c) 1996 Atlus */
! 	DRIVER( hanagumi )	/* (c) 1998 */
! 	DRIVER( introdon )	/* (c) 1996 Sunsoft / Success */
! 	DRIVER( kiwames )	/* (c) 1995 Athena */
! 	DRIVER( maruchan )	/* (c) 1992 Sega / Toyosuisan */
! 	DRIVER( myfairld )	/* (c) 1998 Micronet */
! 	DRIVER( othellos )	/* (c) 1998 Success */
! 	DRIVER( pblbeach )	/* (c) 1995 T&E Soft */
! 	DRIVER( prikura )	/* (c) 1996 Atlus */
! 	DRIVER( puyosun )	/* (c) 1996 Compile */
! 	DRIVER( rsgun )		/* (c) 1998 Treasure */
! 	DRIVER( sandor )	/* (c) 1995 */
! 	DRIVER( thunt )		/* (c) 1995 Sega (Deniam License) */
! 	DRIVER( sassisu )	/* (c) 1992 */
! 	DRIVER( seabass )	/* (c) 1998 A wave Inc (Able License) */
! 	DRIVER( shanhigw )	/* (c) 1996 */
! 	DRIVER( shienryu )	/* (c) 1997 Warashi */
! 	DRIVER( smleague )	/* (c) 1995 */
! 	DRIVER( sokyugrt )	/* (c) 1996 Raizing / 8ing */
! 	DRIVER( sss )		/* (c) 1998 Capcom / Cave / Victor */
! 	DRIVER( suikoenb )	/* (c) 1995 Data East */
! 	DRIVER( twcup98 )	/* (c) 1998 Techmo */
! 	DRIVER( vfkids )	/* (c) 1995 */
! 	DRIVER( vfremix )	/* (c) 1996 */
! 	DRIVER( vmahjong )	/* (c) 1997 Micronet */
! 	DRIVER( winterht )	/* (c) 1997 */
! 	DRIVER( znpwfv )	/* (c) 1997 */
! 
! 	DRIVER( danchih )	/* (c) 1999 Altron (Tecmo License) */
! 	DRIVER( mausuke )	/* (c) 1995 Data East */
! 	DRIVER( batmanfr )	/* (c) 1996 Acclaim */
! 
! 	DRIVER( critcrsh )	/* (c) 1995 Sega */
! 
! 	DRIVER( sfish2 )	/* (c) 1995 */
! 	DRIVER( sfish2j )	/* (c) 1995 */
! 
! 	/* Sega Model 2 Games */
! 
! 	/* Model 2 (TGPs, Model 1 sound board) */
! 	DRIVER( daytona )	/* 1993 */
! 	DRIVER( daytonat )	/* 1993, hack */
! 	DRIVER( daytonam )	/* 1993, hack */
! 	DRIVER( desert )	/* 1994 */
! 	DRIVER( vcop )		/* 1994 */
! 
! 	/* Model 2A-CRX (TGPs, SCSP sound board) */
! 	DRIVER( manxtt )	/* 1995 */
! 	DRIVER( srallyc )	/* 1995 */
! 	DRIVER( vf2 )		/* 1995 */
! 	DRIVER( vf2b )		/* 1995 */
! 	DRIVER( vf2o )		/* 1995 */
! 	DRIVER( vcop2 )		/* 1995 */
! 	DRIVER( dynamcop )	/* 1996 */
! 	DRIVER( dyndeka2 )	/* 1996 */
! 	DRIVER( doaa )		/* 1996 */
! 	DRIVER( zeroguna )	/* 1997 */
! 	DRIVER( pltkidsa )	/* 1998 */
! 
! 	/* Model 2B-CRX (SHARC, SCSP sound board) */
! 	DRIVER( vstriker )	/* 1994 */
! 	DRIVER( vstrikra )	/* 1994 */
! 	DRIVER( fvipers )	/* 1995 */
! 	DRIVER( gunblade )	/* 1995 */
! 	DRIVER( indy500 )	/* 1995 */
! 	DRIVER( skytargt )	/* 1995 */
! 	DRIVER( dynmcopb )	/* 1996 */
! 	DRIVER( schamp )	/* 1996 */
! 	DRIVER( lastbrnx )	/* 1996 */
! 	DRIVER( lastbrnj )	/* 1996 */
! 	DRIVER( doa )		/* 1996 */
! 	DRIVER( sgt24h )	/* 1996 */
! 	DRIVER( von )		/* 1996 */
! 	DRIVER( vonusa )	/* 1996 */
! 	DRIVER( dynabb )	/* 1996 */
! 	DRIVER( zerogun )	/* 1997 */
! 	DRIVER( zerogunj )	/* 1997 */
! 	DRIVER( pltkids )	/* 1998 */
! 
! 	/* Model 2C-CRX (TGPx4, SCSP sound board) */
! 	DRIVER( skisuprg )	/* 1996 */
! 	DRIVER( stcc )		/* 1996 */
! 	DRIVER( hotd )		/* 1997 */
! 	DRIVER( overrev )	/* 1997 */
! 	DRIVER( topskatr )	/* 1997 */
! 	DRIVER( bel )		/* 1998 */
! 
! 	/* Sega Model 3 Games */
! 
! 	/* Step 1.0 */
! 	DRIVER( vf3 )		/* 1996 */
! 	DRIVER( vf3tb )		/* 1996 */
! 	DRIVER( bass )		/* 1997 */
! 	DRIVER( getbass )	/* 1997 */
! 
! 	/* Step 1.5 */
! 	DRIVER( scud )		/* 1996 */
! 	DRIVER( scuda )		/* 1996 */
! 	DRIVER( scudp )		/* 1997 */
! 	DRIVER( lostwsga )	/* 1997 */
! 	DRIVER( vs215 )		/* 1997 */
! 	DRIVER( lemans24 )	/* 1997 */
! 	DRIVER( vs29815 )	/* 1998 */
! 
! 	/* Step 2.0 */
! 	DRIVER( vs2 )		/* 1997 */
! 	DRIVER( harley )	/* 1997 */
! 	DRIVER( srally2 )	/* 1998 */
! 	DRIVER( sraly2dx )	/* 1998 */
! 	DRIVER( von2 )		/* 1998 */
! 	DRIVER( von254g )	/* 1998 */
! 	DRIVER( fvipers2 )	/* 1998 */
! 	DRIVER( vs298 )		/* 1998 */
! 	DRIVER( vs2v991 )	/* 1999 */
! 	DRIVER( vs299 )		/* 1999 */
! 
! 	/* Step 2.1 */
! 	DRIVER( daytona2 )	/* 1998 */
! 	DRIVER( dayto2pe )	/* 1998 */
! 	DRIVER( dirtdvls )	/* 1998 */
! 	DRIVER( dirtdvla )	/* 1998 */
! 	DRIVER( swtrilgy )	/* 1998 */
! 	DRIVER( swtrilga )	/* 1998 */
! 	DRIVER( spikeout )	/* 1998 */
! 	DRIVER( spikeofe )	/* 1998 */
! 	DRIVER( eca )		/* 1999 */
! 
! 
! 	/* Deniam games */
! 	/* they run on Sega System 16 video hardware */
! 	DRIVER( logicpro )	/* (c) 1996 Deniam */
! 	DRIVER( croquis )	/* (c) 1996 Deniam (Germany) */
! 	DRIVER( karianx )	/* (c) 1996 Deniam */
! 	DRIVER( logicpr2 )	/* (c) 1997 Deniam (Japan) */
! 
! 
! /*
! Deniam is a Korean company (http://deniam.co.kr).
! 
! Game list:
! Title            System     Date
! ---------------- ---------- ----------
! GO!GO!           deniam-16b 1995/10/11
! Logic Pro        deniam-16b 1996/10/20
! Karian Cross     deniam-16b 1997/04/17
! LOTTERY GAME     deniam-16c 1997/05/21
! Logic Pro 2      deniam-16c 1997/06/20
! Propose          deniam-16c 1997/06/21
! BOMULEUL CHAJARA SEGA ST-V  1997/04/11
! */
! 
! 	/* System C games */
! 	DRIVER( bloxeedc )	/* (c) 1989 Sega / Elorg */
! 	DRIVER( bloxeedu )	/* (c) 1989 Sega / Elorg */
! 	DRIVER( columns )	/* (c) 1990 Sega */
! 	DRIVER( columnsu )	/* (c) 1990 Sega */
! 	DRIVER( columnsj )	/* (c) 1990 Sega */
! 	DRIVER( columns2 )	/* (c) 1990 Sega */
! 	DRIVER( column2j )	/* (c) 1990 Sega */
! 
! 	/* System C-2 games */
! 	DRIVER( borench )	/* (c) 1990 Sega */
! 	DRIVER( tfrceac )	/* (c) 1990 Sega / Technosoft */
! 	DRIVER( tfrceacj )	/* (c) 1990 Sega / Technosoft */
! 	DRIVER( tfrceacb )	/* bootleg */
! 	DRIVER( twinsqua )	/* (c) 1991 Sega */
! 	DRIVER( ribbit )	/* (c) 1991 Sega */
! 	DRIVER( tantr )		/* (c) 1992 Sega */
! 	DRIVER( tantrkor )	/* (c) 1992 Sega */
! 	DRIVER( tantrbl )	/* bootleg */
! 	DRIVER( tantrbl2 )	/* bootleg */
! 	DRIVER( puyo )		/* (c) 1992 Sega / Compile */
! 	DRIVER( puyobl )	/* bootleg */
! 	DRIVER( puyoj )		/* (c) 1992 Sega / Compile */
! 	DRIVER( puyoja )	/* (c) 1992 Sega / Compile */
! 	DRIVER( ichir )		/* (c) 1994 Sega */
! 	DRIVER( ichirk )	/* (c) 1994 Sega */
! 	DRIVER( ichirj )	/* (c) 1994 Sega */
! 	DRIVER( ichirjbl )	/* bootleg */
! 	DRIVER( stkclmns )	/* (c) 1994 Sega */
! 	DRIVER( stkclmnj )	/* (c) 1994 Sega */
! 	DRIVER( puyopuy2 )	/* (c) 1994 Compile + Sega license */
! 	DRIVER( potopoto )	/* (c) 1994 Sega */
! 	DRIVER( zunkyou )	/* (c) 1994 Sega */
! 
! 	/* Atlus Print Club 'Games' C-2 board */
! 	DRIVER( pclubj )
! 	DRIVER( pclubjv2 )
! 	DRIVER( pclubjv4 )
! 	DRIVER( pclubjv5 )
! 
! 	/* Genie Hardware (uses Genesis VDP) also has 'Sun Mixing Co' put into tile ram */
! 	DRIVER( puckpkmn )	/* (c) 2000 Genie */
! 	DRIVER( topshoot )	/* (c) 1995 Sun Mixing */
! 
! 	/* Sega MegaTech, the number shown is on the label of the instruction rom */
!  	DRIVER( megatech )
! 	DRIVER( mt_beast )	/* 01 */
! 	DRIVER( mt_shar2 )	/* 02 */
! 	DRIVER( mt_stbld )	/* 03 */
! 	DRIVER( mt_ggolf )	/* 04 */
! 	DRIVER( mt_gsocr )	/* 05 */
! 						/* 06 */
! 	DRIVER( mt_asyn )	/* 07 */
! 	DRIVER( mt_shnbi )	/* 08 */
! 						/* 09 */
! 	DRIVER( mt_aftrb )	/* 10 */
! 	DRIVER( mt_tfor2 )	/* 11 */
! 						/* 12 */
! 	DRIVER( mt_astro )	/* 13 */
! 						/* 14 */
! 						/* 15 */
! 						/* 16 */
! 						/* 17 */
! 						/* 18 */
! 						/* 19 */
! 	DRIVER( mt_lastb )	/* 20 */
! 	DRIVER( mt_wcsoc )	/* 21 */
! 	DRIVER( mt_tetri )	/* 22 */
! 	DRIVER( mt_gng )	/* 23 */
! 	DRIVER( mt_shang )	/* 24 */
! 	DRIVER( mt_gaxe )	/* 25 */
! 						/* 26 */
! 	DRIVER( mt_mystd )	/* 27 */
! 	DRIVER( mt_revsh )	/* 28 */
! 	DRIVER( mt_parlg )	/* 29 */
! 						/* 30 */
! 	DRIVER( mt_tgolf )	/* 31 */
! 						/* 32 */
! 						/* 33 */
! 						/* 34 */
! 	DRIVER( mt_tlbba )	/* 35 */
! 	DRIVER( mt_cols )	/* 36 */
! 						/* 37 */
! 	DRIVER( mt_eswat )	/* 38 */
! 	DRIVER( mt_smgp )	/* 39 */
! 	DRIVER( mt_mwalk )	/* 40 */
! 	DRIVER( mt_crack )	/* 41 */
! 						/* 42 */
! 						/* 43 */
! 	DRIVER( mt_arrow )	/* 44 */
! 						/* 45 */
! 						/* 46 */
! 	DRIVER( mt_astrm )	/* 47 */
! 						/* 48 */
! 	DRIVER( mt_bbros )	/* 49 */
! 						/* 50 */
! 						/* 51 */
! 	DRIVER( mt_sonic )	/* 52 */
! 	DRIVER( mt_sonia )	/* ^^ */
! 	DRIVER( mt_fshrk )	/* 53 */
! 						/* 54 */
! 						/* 55 */
! 						/* 56 */
! 	DRIVER( mt_gaxe2 )	/* 57 */
! 	DRIVER( mt_stf )	/* 58 */
! 						/* 59 */
! 	DRIVER( mt_kcham )	/* 60 */
! 						/* 61 */
! 	DRIVER( mt_soni2 )	/* 62 */
! 
! 	/* Sega MegaPlay */
! 	DRIVER( megaplay )
! 	DRIVER( mp_sonic )	/* 01 */
! 	DRIVER( mp_gaxe2 )	/* 02 */
! 	DRIVER( mp_gslam )	/* 03 */
! 	DRIVER( mp_twc )	/* 04 */
! 	DRIVER( mp_sor2 )	/* 05 */
! 	DRIVER( mp_bio )	/* 06 */
! 	DRIVER( mp_soni2 )	/* 07 */
! 						/* 08 */
! 						/* 09 */
! 						/* 10 */
! 	DRIVER( mp_mazin )	/* 11 */
! 	DRIVER( mp_col3 )	/* ?? */
! 
! 	/* Data East "Burger Time hardware" games */
! 	DRIVER( lnc )		/* (c) 1981 */
! 	DRIVER( zoar )		/* (c) 1982 */
! 	DRIVER( btime )		/* (c) 1982 */
! 	DRIVER( btime2 )	/* (c) 1982 */
! 	DRIVER( btimem )	/* (c) 1982 + Midway */
! 	DRIVER( cookrace )	/* bootleg */
! 	DRIVER( wtennis )	/* bootleg 1982 */
! 	DRIVER( brubber )	/* (c) 1982 */
! 	DRIVER( bnj )		/* (c) 1982 + Midway */
! 	DRIVER( caractn )	/* bootleg */
! 	DRIVER( disco )		/* (c) 1982 */
! 	DRIVER( discof )	/* (c) 1982 */
! 	DRIVER( sdtennis )	/* (c) 1983 */
! 	DRIVER( mmonkey )	/* (c) 1982 Technos Japan + Roller Tron */
! 
! 		/* cassette system, parent is decocass */
! 	DRIVER( decocass )
! 	DRIVER( ctsttape )	/* ? */
! 	DRIVER( cterrani )	/* 04 (c) 1981 */
! 	DRIVER( castfant )	/* 07 (c) 1981 */
! 	DRIVER( csuperas )	/* 09 (c) 1981 */
! 	DRIVER( clocknch )	/* 11 (c) 1981 */
! 	DRIVER( cprogolf )	/* 13 (c) 1981 */
! 	DRIVER( cluckypo )	/* 15 (c) 1981 */
! 	DRIVER( ctisland )	/* 16 (c) 1981 */
! 	DRIVER( ctislnd2 )	/* 16 (c) 1981 */
! 	DRIVER( ctislnd3 )	/* 16? (c) 1981 */
! 	DRIVER( cdiscon1 )	/* 19 (c) 1982 */
! 	DRIVER( csweetht )	/* ?? (c) 1982, clone of disco no 1 */
! 	DRIVER( ctornado )	/* 20 (c) 1982 */
! 	DRIVER( cmissnx )	/* 21 (c) 1982 */
! 	DRIVER( cptennis )	/* 22 (c) 1982 */
! 	DRIVER( cexplore )	/* ?? (c) 1982 */
! 	DRIVER( cbtime )	/* 26 (c) 1982 */
! 	DRIVER( cburnrub )	/* ?? (c) 1982 */
! 	DRIVER( cburnrb2 )	/* ?? (c) 1982 */
! 	DRIVER( cbnj )		/* 27 (c) 1982 */
! 	DRIVER( cgraplop )	/* 28 (c) 1983 */
! 	DRIVER( cgraplp2 )	/* 28? (c) 1983 */
! 	DRIVER( clapapa )	/* 29 (c) 1983 */
! 	DRIVER( clapapa2 )	/* 29 (c) 1983 */ /* this one doesn't display lapapa anyehere */
! 	DRIVER( cnightst )	/* 32 (c) 1983 */
! 	DRIVER( cnights2 )	/* 32 (c) 1983 */
! 	DRIVER( cprosocc )	/* 33 (c) 1983 */
! 	DRIVER( cprobowl )	/* ?? (c) 1983 */
! 	DRIVER( cscrtry )	/* 38 (c) 1984 */
! 	DRIVER( cscrtry2 )	/* 38 (c) 1984 */
! 	DRIVER( cppicf )	/* 39 (c) 1984 */
! 	DRIVER( cppicf2 )	/* 39 (c) 1984 */
! 	DRIVER( cfghtice )	/* 40 (c) 1984 */
! 	DRIVER( cbdash )	/* 44 (c) 1985 */
! 		/* the following don't work at all */
! 	DRIVER( chwy )		/* ?? (c) 198? */
! 	DRIVER( cflyball )	/* ?? (c) 198? */
! 	DRIVER( czeroize )	/* ?? (c) 198? */
! 
! 	/* other Data East games */
! 	DRIVER( madalien )	/* (c) 1980 */
! 	DRIVER( astrof )	/* (c) [1980?] */
! 	DRIVER( astrof2 )	/* (c) [1980?] */
! 	DRIVER( astrof3 )	/* (c) [1980?] */
! 	DRIVER( abattle )	/* Sidam */
! 	DRIVER( abattle2 )	/* Sidam */
! 	DRIVER( afire )		/* Rene Pierre */
! 	DRIVER( acombat )	/* bootleg */
! 	DRIVER( sstarbtl )	/* bootleg */
! 	DRIVER( tomahawk )	/* (c) [1980?] */
! 	DRIVER( tomahaw5 )	/* (c) [1980?] */
! 	DRIVER( prosoccr )	/* (c) 1983 */
! 	DRIVER( prosport )	/* (c) 1983 */
! 	DRIVER( boomrang )	/* (c) 1983 */
! 	DRIVER( kamikcab )	/* (c) 1984 */
! 	DRIVER( yellowcb )	/* bootleg */
! 	DRIVER( liberate )	/* (c) 1984  Data East Corporation */
! 	DRIVER( dualaslt )	/* (c) 1984  Data East USA (US) */
! 	DRIVER( liberatb )	/* bootleg */
! 	DRIVER( bwing )		/* (c) 1984 */
! 	DRIVER( bwings )	/* (c) 1984 */
! 	DRIVER( batwings )	/* (c) 1984 */
! 	DRIVER( zaviga )	/* (c) */
! 	DRIVER( zavigaj )	/* (c) */
! 	DRIVER( kchamp )	/* (c) 1984 Data East USA (US) */
! 	DRIVER( karatedo )	/* (c) 1984 Data East Corporation (Japan) */
! 	DRIVER( kchampvs )	/* (c) 1984 Data East USA (US) */
! 	DRIVER( karatevs )	/* (c) 1984 Data East Corporation (Japan) */
! 	DRIVER( compgolf )	/* (c) 1985 Data East Corporation (Japan) */
! 	DRIVER( compglfo )	/* (c) 1985 Data East Corporation (Japan) */
! 	DRIVER( cntsteer )	/* (c) 1985 Data East Corporation */
! 	DRIVER( zerotrgt )	/* (c) 1985 Data East Corporation */
! 	DRIVER( gekitsui )	/* (c) 1985 Data East Corporation (Japan) */
! 	DRIVER( tryout )	/* (c) 1985 Data East Corporation (Japan) */
! 	DRIVER( firetrap )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( firetpbl )	/* bootleg */
! 	DRIVER( metlclsh )	/* (c) 1985 Data East */
! 	DRIVER( brkthru )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( brkthruj )	/* (c) 1986 Data East Corporation (Japan) */
! 	DRIVER( forcebrk )	/* (c) 1986 Data East Corporation (Japan) */
! 	DRIVER( darwin )	/* (c) 1986 Data East Corporation (Japan) */
! 	DRIVER( shootout )	/* (c) 1985 Data East USA (US) */
! 	DRIVER( shootouj )	/* (c) 1985 Data East USA (Japan) */
! 	DRIVER( shootoub )	/* bootleg */
! 	DRIVER( sidepckt )	/* (c) 1986 Data East Corporation */
! 	DRIVER( sidepctj )	/* (c) 1986 Data East Corporation */
! 	DRIVER( sidepctb )	/* bootleg */
! 	DRIVER( exprraid )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( exprrada )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( wexpress )	/* (c) 1986 Data East Corporation (World?) */
! 	DRIVER( wexpresb )	/* bootleg */
! 	DRIVER( wexpresc )	/* bootleg */
! 	DRIVER( pcktgal )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( pcktgalb )	/* bootleg */
! 	DRIVER( pcktgal2 )	/* (c) 1989 Data East Corporation (World?) */
! 	DRIVER( spool3 )	/* (c) 1989 Data East Corporation (World?) */
! 	DRIVER( spool3i )	/* (c) 1990 Data East Corporation + I-Vics license */
! 	DRIVER( battlera )	/* (c) 1988 Data East Corporation (World) */
! 	DRIVER( bldwolf )	/* (c) 1988 Data East USA (US) */
! 	DRIVER( actfancr )	/* (c) 1989 Data East Corporation (World) */
! 	DRIVER( actfanc1 )	/* (c) 1989 Data East Corporation (World) */
! 	DRIVER( actfancj )	/* (c) 1989 Data East Corporation (Japan) */
! 	DRIVER( triothep )	/* (c) 1989 Data East Corporation (World) */
! 	DRIVER( triothej )	/* (c) 1989 Data East Corporation (Japan) */
! 
! 	/* Data East 8-bit games */
! 	DRIVER( lastmisn )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( lastmsno )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( lastmsnj )	/* (c) 1986 Data East Corporation (Japan) */
! 	DRIVER( shackled )	/* (c) 1986 Data East USA (US) */
! 	DRIVER( breywood )	/* (c) 1986 Data East Corporation (Japan) */
! 	DRIVER( csilver )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( ghostb )	/* (c) 1987 Data East USA (US) */
! 	DRIVER( ghostb3 )	/* (c) 1987 Data East USA (US) */
! 	DRIVER( meikyuh )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( srdarwin )	/* (c) 1987 Data East Corporation (World) */
! 	DRIVER( srdarwnj )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( gondo )		/* (c) 1987 Data East USA (US) */
! 	DRIVER( makyosen )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( garyoret )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( cobracom )	/* (c) 1988 Data East Corporation (World) */
! 	DRIVER( cobracmj )	/* (c) 1988 Data East Corporation (Japan) */
! 	DRIVER( oscar )		/* (c) 1988 Data East USA (US) */
! 	DRIVER( oscarj )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( oscarj1 )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( oscarj0 )	/* (c) 1987 Data East Corporation (Japan) */
! 
! 	/* Data East 16-bit games */
! 	DRIVER( karnov )	/* (c) 1987 Data East USA (US) */
! 	DRIVER( karnovj )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( wndrplnt )	/* (c) 1987 Data East Corporation (Japan) */
! 	DRIVER( chelnov )	/* (c) 1988 Data East USA (World) */
! 	DRIVER( chelnovu )	/* (c) 1988 Data East USA (US) */
! 	DRIVER( chelnovj )	/* (c) 1988 Data East Corporation (Japan) */
! 		/* the following ones all run on similar hardware */
! 	DRIVER( hbarrel )	/* (c) 1987 Data East USA (US) */
! 	DRIVER( hbarrelw )	/* (c) 1987 Data East Corporation (World) */
! 	DRIVER( baddudes )	/* (c) 1988 Data East USA (US) */
! 	DRIVER( drgninja )	/* (c) 1988 Data East Corporation (Japan) */
! 	DRIVER( birdtry )	/* (c) 1988 Data East Corporation (Japan) */
! 	DRIVER( robocop )	/* (c) 1988 Data East Corporation (World) */
! 	DRIVER( robocopw )	/* (c) 1988 Data East Corporation (World) */
! 	DRIVER( robocopj )	/* (c) 1988 Data East Corporation (Japan) */
! 	DRIVER( robocopu )	/* (c) 1988 Data East USA (US) */
! 	DRIVER( robocpu0 )	/* (c) 1988 Data East USA (US) */
! 	DRIVER( robocopb )	/* bootleg */
! 	DRIVER( hippodrm )	/* (c) 1989 Data East USA (US) */
! 	DRIVER( ffantasy )	/* (c) 1989 Data East Corporation (Japan) */
! 	DRIVER( ffantasa )	/* (c) 1989 Data East Corporation (Japan) */
! 	DRIVER( slyspy )	/* (c) 1989 Data East USA (US) */
! 	DRIVER( slyspy2 )	/* (c) 1989 Data East USA (US) */
! 	DRIVER( secretag )	/* (c) 1989 Data East Corporation (World) */
! 	DRIVER( secretab )	/* bootleg */
! 	DRIVER( midres )	/* (c) 1989 Data East Corporation (World) */
! 	DRIVER( midresu )	/* (c) 1989 Data East USA (US) */
! 	DRIVER( midresj )	/* (c) 1989 Data East Corporation (Japan) */
! 	DRIVER( bouldash )	/* (c) 1990 Data East Corporation (World) */
! 	DRIVER( bouldshj )	/* (c) 1990 Data East Corporation (Japan) */
! 		/* end of similar hardware */
! 	DRIVER( stadhero )	/* (c) 1988 Data East Corporation (Japan) */
! 	DRIVER( madmotor )	/* (c) [1989] Mitchell */
! 		/* All these games have a unique code stamped on the mask roms */
! 	DRIVER( vaportra )	/* MAA (c) 1989 Data East Corporation (World) */
! 	DRIVER( vaportru )	/* MAA (c) 1989 Data East Corporation (US) */
! 	DRIVER( kuhga )		/* MAA (c) 1989 Data East Corporation (Japan) */
! 	DRIVER( cbuster )	/* MAB (c) 1990 Data East Corporation (World) */
! 	DRIVER( cbusterw )	/* MAB (c) 1990 Data East Corporation (World) */
! 	DRIVER( cbusterj )	/* MAB (c) 1990 Data East Corporation (Japan) */
! 	DRIVER( twocrude )	/* MAB (c) 1990 Data East USA (US) */
! 	DRIVER( darkseal )	/* MAC (c) 1990 Data East Corporation (World) */
! 	DRIVER( darksea1 )	/* MAC (c) 1990 Data East Corporation (World) */
! 	DRIVER( darkseaj )	/* MAC (c) 1990 Data East Corporation (Japan) */
! 	DRIVER( gatedoom )	/* MAC (c) 1990 Data East Corporation (US) */
! 	DRIVER( gatedom1 )	/* MAC (c) 1990 Data East Corporation (US) */
! 	DRIVER( edrandy )	/* MAD (c) 1990 Data East Corporation (World) */
! 	DRIVER( edrandy1 )	/* MAD (c) 1990 Data East Corporation (World) */
! 	DRIVER( edrandyj )	/* MAD (c) 1990 Data East Corporation (Japan) */
! 	DRIVER( supbtime )	/* MAE (c) 1990 Data East Corporation (World) */
! 	DRIVER( supbtimj )	/* MAE (c) 1990 Data East Corporation (Japan) */
! 	DRIVER( mutantf )	/* MAF (c) 1992 Data East Corporation (World) */
! 	DRIVER( mutantfa )	/* MAF (c) 1992 Data East Corporation (World) */
! 	DRIVER( deathbrd )	/* MAF (c) 1992 Data East Corporation (Japan) */
! 	DRIVER( cninja )	/* MAG (c) 1991 Data East Corporation (World) */
! 	DRIVER( cninja0 )	/* MAG (c) 1991 Data East Corporation (World) */
! 	DRIVER( cninjau )	/* MAG (c) 1991 Data East Corporation (US) */
! 	DRIVER( joemac )	/* MAG (c) 1991 Data East Corporation (Japan) */
! 	DRIVER( stoneage )	/* bootleg */
! 	DRIVER( robocop2 )	/* MAH (c) 1991 Data East Corporation (World) */
! 	DRIVER( robocp2u )	/* MAH (c) 1991 Data East Corporation (US) */
! 	DRIVER( robocp2j )	/* MAH (c) 1991 Data East Corporation (Japan) */
! 	DRIVER( thndzone )	/* MAJ (c) 1991 Data East Corporation (World) */
! 	DRIVER( dassault )	/* MAJ (c) 1991 Data East Corporation (US) */
! 	DRIVER( dassaul4 )	/* MAJ (c) 1991 Data East Corporation (US) */
! 	DRIVER( chinatwn )	/* MAK (c) 1991 Data East Corporation (Japan) */
! 	DRIVER( rohga )		/* MAM (c) 1991 Data East Corporation (Asia/Euro) */
! 	DRIVER( rohga1 )	/* MAM (c) 1991 Data East Corporation (Asia/Euro) */
! 	DRIVER( rohga2 )	/* MAM (c) 1991 Data East Corporation (Asia/Euro) */
! 	DRIVER( rohgah )	/* MAM (c) 1991 Data East Corporation (Hong Kong) */
! 	DRIVER( rohgau )	/* MAM (c) 1991 Data East Corporation (US) */
! 	DRIVER( schmeisr )	/*     (c) 1993 Hot B */
! 	DRIVER( captaven )	/* MAN (c) 1991 Data East Corporation (Asia) */
! 	DRIVER( captavna )	/* MAN (c) 1991 Data East Corporation (Asia) */
! 	DRIVER( captavne )	/* MAN (c) 1991 Data East Corporation (UK) */
! 	DRIVER( captavnu )	/* MAN (c) 1991 Data East Corporation (US) */
! 	DRIVER( captavuu )	/* MAN (c) 1991 Data East Corporation (US) */
! 	DRIVER( captavnj )	/* MAN (c) 1991 Data East Corporation (Japan) */
! 				/* MAO ?? */
! 	DRIVER( tumblep )	/* MAP (c) 1991 Data East Corporation (World) */
! 	DRIVER( tumblepj )	/* MAP (c) 1991 Data East Corporation (Japan) */
! 	DRIVER( tumbleb )	/* bootleg */
! 	DRIVER( tumbleb2 )	/* bootleg */
! 	DRIVER( jumpkids )	/* (c) 1993 Comad */
! 	DRIVER( jumppop )	/* (c) 2001 ESD */
! 	DRIVER( pangpang )	/* (c) 1994 Dong Gue La Mi Ltd. */
! 	DRIVER( fncywld )	/* (c) 1996 Unico */
! 	DRIVER( htchctch )	/* (c) 1995 SemiCom */
! 	DRIVER( cookbib )	/* (c) 1995 SemiCom */
! 	DRIVER( chokchok )	/* (c) 1995 SemiCom */
! 	DRIVER( metlsavr )	/* (c) 1994 */
! 	DRIVER( bcstry )	/* (c) 199? SemiCom */
! 	DRIVER( bcstrya )	/* (c) 199? SemiCom */
! 	DRIVER( semibase )	/* (c) 199? SemiCom */
! 	DRIVER( suprtrio )	/* (c) 1994 GameAce */
! 	DRIVER( lemmings )	/* prototype (c) 1991 Data East USA (US) */
! 				/* MAQ ?? */
! 	DRIVER( dragngun )	/* MAR (c) 1992 Data East Corporation (US) */
! 	DRIVER( wizdfire )	/* MAS (c) 1992 Data East Corporation (US) */
! 	DRIVER( darksel2 )	/* MAS (c) 1992 Data East Corporation (Japan) */
! 	DRIVER( funkyjet )	/* MAT (c) 1992 Mitchell */
! 	DRIVER( funkyjej )	/* MAT (c) 1992 Mitchell */
! 				/* MAU ?? */
! 	DRIVER( nitrobal )	/* MAV (c) 1992 Data East Corporation (US) */
! 	DRIVER( gunball )	/* MAV (c) 1992 Data East Corporation (Japan) */
! 				/* MAW ?? */
! 				/* MAX ?? */
! 	DRIVER( dietgo )	/* MAY (c) 1993 */
! 	DRIVER( dietgoe )	/* MAY (c) 1993 */
! 	DRIVER( dietgou )	/* MAY (c) 1993 */
! 	DRIVER( dietgoj )	/* MAY (c) 1993 */
! 	DRIVER( pktgaldx )	/* MAZ (c) 1993 Data East (Euro v3.00) */
! 	DRIVER( pktgaldj )	/* MAZ (c) 1993 */
! 	DRIVER( pktgaldb )	/* bootleg */
! 				/* MBA ?? */
! 				/* MBB ?? */
! 				/* MBC ?? */
! 	DRIVER( boogwing )	/* MBD (c) 1992 */
! 	DRIVER( boogwina )	/* MBD (c) 1992 */
! 	DRIVER( ragtime )	/* MBD (c) 1992 */
! 	DRIVER( dblewing )	/* MBE (c) 1993 Mitchell */
! 	DRIVER( fghthist )	/* MBF (c) 1993 Data East Corporation (World) */
! 	DRIVER( fghthstu )	/* MBF (c) 1993 Data East Corporation (US) */
! 	DRIVER( fghthsta )	/* MBF (c) 1993 Data East Corporation (US) */
! 	DRIVER( hvysmsh )	/* MBG */
! 	DRIVER( nslasher )	/* MBH (c) 1993 Data East Corporation */
! 	DRIVER( nslashej )	/* MBH (c) 1993 Data East Corporation (Japan)*/
! 	DRIVER( nslashes )	/* MBH (c) 1993 Data East Corporation (Japan)*/
! 				/* MBI ?? */
! 				/* MBJ ?? */
! 				/* MBK ?? */
! 				/* MBL ?? */
! 	DRIVER( lockload )	/* MBM (c) 1994 Data East Corporation (US) */
! 	DRIVER( joemacr )	/* MBN (c) 1994 */
! 	DRIVER( joemacra )	/* MBN (c) 1994 */
! 				/* MBO ?? */
! 				/* MBP ?? */
! 				/* MBQ ?? */
! 	DRIVER( tattass )	/* prototype (c) 1994 Data East Pinball (US) */
! 	DRIVER( tattassa )	/* prototype (c) 1994 Data East Pinball (Asia) */
! 	DRIVER( charlien )	/* MBR (c) 1994 Mitchell */
! 				/* MBS ?? */
! 				/* MBT ?? */
! 				/* MBU ?? */
! 				/* MBV ?? */
! 				/* MBW ?? */
! 	DRIVER( wcvol95 )	/* MBX (c) 1993 Data East */
! 				/* MBY ?? */
! 	DRIVER( backfire )	/* MBZ (c) 1995 */
! 	DRIVER( backfira )	/* MBZ (c) 1995 */
! 				/* MCA ?? */
! 	DRIVER( prtytime )	/* MCB (c) 1995 Mitchell */
! 	DRIVER( gangonta )	/* MCB (c) 1995 Mitchell */
! 	DRIVER( chainrec )	/* MCC (c) 1994 */
! 	DRIVER( magdrop )	/* MCC (c) 1995 Data East */
! 	DRIVER( magdropp )	/* MCC (c) 1995 Data East */
! 				/* MCD ?? */
! 				/* MCE Dunk Dream 95/Hoops96 See MLC games below */
! 	DRIVER( osman )		/* MCF (c) 1996 Mitchell */
! 	DRIVER( candance )	/* MCF (c) 1996 Mitchell */
! 	DRIVER( sotsugyo )	/*     (c) 1995 Mitchell (Atlus license) */
! 	DRIVER( sshangha )	/*     (c) 1992 Hot-B */
! 	DRIVER( sshanghb )	/* bootleg */
! 
! 	/* Data East MLC Games */
! 	DRIVER( hoops96 )	/* MCE (c) 1996 Data East Corporation */
! 	DRIVER( ddream95 )	/* MCE (c) 1996 Data East Corporation */
! 	DRIVER( hoops95 )	/* MCE (c) 1996 Data East Corporation */
! 	DRIVER( avengrgs )	/* MCG (c) 1995 Data East Corporation (World) */
! 	DRIVER( avengrgj )	/* MCG (c) 1995 Data East Corporation (Japan) */
! 	DRIVER( skullfng )	/* MCH (c) 1996 Data East Corporation (Japan) */
! 	DRIVER( stadhr96 )	/* MCM (c) 1996 Data East */
! 	DRIVER( stadh96a )	/* MCM (c) 1996 Data East */
! 
! 	/* Tehkan / Tecmo games (Tehkan became Tecmo in 1986) */
! 	DRIVER( senjyo )	/* (c) 1983 Tehkan */
! 	DRIVER( starforc )	/* (c) 1984 Tehkan */
! 	DRIVER( starfore )	/* (c) 1984 Tehkan */
! 	DRIVER( megaforc )	/* (c) 1985 Tehkan + Video Ware license */
! 	DRIVER( baluba )	/* (c) 1986 Able Corp. */
! 	DRIVER( bombjack )	/* (c) 1984 Tehkan */
! 	DRIVER( bombjac2 )	/* (c) 1984 Tehkan */
! 	DRIVER( pbaction )	/* (c) 1985 Tehkan */
! 	DRIVER( pbactio2 )	/* (c) 1985 Tehkan */
! 	DRIVER( pbactio3 )	/* (c) 1985 Tehkan */
! 				/* 6009 Tank Busters */
! 	DRIVER( ponttehk )	/* 6011 - (c) 1985 Tehkan */
! 	DRIVER( lvpoker )	/* ???? - (c) 1985 Tehkan */
! 	DRIVER( lvcards )	/* (c) 1985 Tehkan */
! 	DRIVER( tehkanwc )	/* (c) 1985 Tehkan */
! 	DRIVER( gridiron )	/* (c) 1985 Tehkan */
! 	DRIVER( teedoff )	/* 6102 - (c) 1986 Tecmo */
! 	DRIVER( solomon )	/* (c) 1986 Tecmo */
! 	DRIVER( rygar )		/* 6002 - (c) 1986 Tecmo */
! 	DRIVER( rygar2 )	/* 6002 - (c) 1986 Tecmo */
! 	DRIVER( rygarj )	/* 6002 - (c) 1986 Tecmo */
! 	DRIVER( gemini )	/* (c) 1987 Tecmo */
! 	DRIVER( silkworm )	/* 6217 - (c) 1988 Tecmo */
! 	DRIVER( silkwrm2 )	/* 6217 - (c) 1988 Tecmo */
! 	DRIVER( tbowl )		/* 6206 - (c) 1987 Tecmo */
! 	DRIVER( tbowlj )	/* 6206 - (c) 1987 Tecmo */
! 	DRIVER( shadoww )	/* 6215 - (c) 1988 Tecmo (World) */
! 	DRIVER( shadowwa )	/* 6215 - (c) 1988 Tecmo (World) */
! 	DRIVER( gaiden )	/* 6215 - (c) 1988 Tecmo (US) */
! 	DRIVER( ryukendn )	/* 6215 - (c) 1989 Tecmo (Japan) */
! 	DRIVER( wildfang )	/* (c) 1989 Tecmo */
! 	DRIVER( tknight )	/* (c) 1989 Tecmo */
! 	DRIVER( stratof )	/* (c) 1991 Tecmo */
! 	DRIVER( raiga )		/* (c) 1991 Tecmo */
! 	DRIVER( drgnbowl )	/* (c) 1992 Nics */
! 	DRIVER( wc90 )		/* (c) 1989 Tecmo */
! 	DRIVER( wc90a )		/* (c) 1989 Tecmo */
! 	DRIVER( wc90t )		/* (c) 1989 Tecmo */
! 	DRIVER( wc90b )		/* bootleg */
! 	DRIVER( spbactn )	/* 9002 - (c) 1991 Tecmo */
! 	DRIVER( spbactnj )	/* 9002 - (c) 1991 Tecmo */
! 	DRIVER( fstarfrc )	/* (c) 1992 Tecmo */
! 	DRIVER( ginkun )	/* (c) 1995 Tecmo */
! 	DRIVER( deroon )
! 	DRIVER( tkdensho )
! 
! 	/* Konami bitmap games */
! 	DRIVER( tutankhm )	/* GX350 (c) 1982 Konami */
! 	DRIVER( tutankst )	/* GX350 (c) 1982 Stern */
! 	DRIVER( junofrst )	/* GX310 (c) 1983 Konami */
! 	DRIVER( junofstg )	/* GX310 (c) 1983 Konami + Gottlieb license */
! 
! 	/* Konami games */
! 	DRIVER( pooyan )	/* GX320 (c) 1982 */
! 	DRIVER( pooyans )	/* GX320 (c) 1982 Stern */
! 	DRIVER( pootan )	/* bootleg */
! 	DRIVER( timeplt )	/* GX393 (c) 1982 */
! 	DRIVER( timepltc )	/* GX393 (c) 1982 + Centuri license*/
! 	DRIVER( timeplta )	/* GX393 (c) 1982 + Atari license*/
! 	DRIVER( spaceplt )	/* bootleg */
! 	DRIVER( psurge )	/* (c) 1988 unknown (NOT Konami) */
! 	DRIVER( megazone )	/* GX319 (c) 1983 */
! 	DRIVER( megazona )	/* GX319 (c) 1983 */
! 	DRIVER( megazonb )	/* GX319 (c) 1983 + Kosuka */
! 	DRIVER( megazonc )	/* GX319 (c) 1983 + Kosuka */
! 	DRIVER( megaznik )	/* GX319 (c) 1983 + Interlogic / Kosuka */
! 	DRIVER( pandoras )	/* GX328 (c) 1984 + Interlogic */
! 	DRIVER( gyruss )	/* GX347 (c) 1983 */
! 	DRIVER( gyrussce )	/* GX347 (c) 1983 + Centuri license */
! 	DRIVER( venus )		/* bootleg */
! 	DRIVER( trackfld )	/* GX361 (c) 1983 */
! 	DRIVER( trackflc )	/* GX361 (c) 1983 + Centuri license */
! 	DRIVER( hyprolym )	/* GX361 (c) 1983 */
! 	DRIVER( hyprolyb )	/* bootleg */
! 	DRIVER( atlantol )	/* bootleg */
! 	DRIVER( wizzquiz )	/* (c) 1985 Konami */
! 	DRIVER( wizzquza )	/* (c) 1985 Zilec-Zenitone */
! 	DRIVER( mastkin )	/* (c) 1988 Du Tech */
! 	DRIVER( rocnrope )	/* GX364 (c) 1983 */
! 	DRIVER( rocnropk )	/* GX364 (c) 1983 + Kosuka */
! 	DRIVER( circusc )	/* GX380 (c) 1984 */
! 	DRIVER( circusc2 )	/* GX380 (c) 1984 */
! 	DRIVER( circusc3 )	/* GX380 (c) 1984 */
! 	DRIVER( circuscc )	/* GX380 (c) 1984 + Centuri license */
! 	DRIVER( circusce )	/* GX380 (c) 1984 + Centuri license */
! 	DRIVER( tp84 )		/* GX388 (c) 1984 */
! 	DRIVER( tp84a )		/* GX388 (c) 1984 */
! 	DRIVER( tp84b )		/* GX388 (c) 1984 */
! 	DRIVER( hyperspt )	/* GX330 (c) 1984 + Centuri */
! 	DRIVER( hpolym84 )	/* GX330 (c) 1984 */
! 	DRIVER( sbasketb )	/* GX405 (c) 1984 */
! 	DRIVER( sbasketo )	/* GX405 (c) 1984 */
! 	DRIVER( sbasketu )	/* GX405 (c) 1984 */
! 	DRIVER( mikie )		/* GX469 (c) 1984 */
! 	DRIVER( mikiej )	/* GX469 (c) 1984 */
! 	DRIVER( mikiehs )	/* GX469 (c) 1984 */
! 	DRIVER( roadf )		/* GX461 (c) 1984 */
! 	DRIVER( roadf2 )	/* GX461 (c) 1984 */
! 	DRIVER( yiear )		/* GX407 (c) 1985 */
! 	DRIVER( yiear2 )	/* GX407 (c) 1985 */
! 	DRIVER( kicker )	/* GX477 (c) 1985 */
! 	DRIVER( shaolins )	/* GX477 (c) 1985 */
! 	DRIVER( pingpong )	/* GX555 (c) 1985 */
! 	DRIVER( merlinmm )	/* (c) 1986 Zilec-Zenitone */
! 	DRIVER( gberet )	/* GX577 (c) 1985 */
! 	DRIVER( rushatck )	/* GX577 (c) 1985 */
! 	DRIVER( gberetb )	/* bootleg on different hardware */
! 	DRIVER( mrgoemon )	/* GX621 (c) 1986 (Japan) */
! 	DRIVER( jailbrek )	/* GX507 (c) 1986 */
! 	DRIVER( manhatan )	/* GX507 (c) 1986 (Japan) */
! 	DRIVER( scotrsht )	/* GX545 (c) 1985 */
! 	DRIVER( finalizr )	/* GX523 (c) 1985 */
! 	DRIVER( finalizb )	/* bootleg */
! 	DRIVER( ironhors )	/* GX560 (c) 1986 */
! 	DRIVER( dairesya )	/* GX560 (c) 1986 (Japan) */
! 	DRIVER( farwest )
! 	DRIVER( jackal )	/* GX631 (c) 1986 (World) */
! 	DRIVER( topgunr )	/* GX631 (c) 1986 (US) */
! 	DRIVER( jackalj )	/* GX631 (c) 1986 (Japan) */
! 	DRIVER( topgunbl )	/* bootleg */
! 	DRIVER( ddribble )	/* GX690 (c) 1986 */
! 	DRIVER( contra )	/* GX633 (c) 1987 */
! 	DRIVER( contrab )	/* bootleg */
! 	DRIVER( contraj )	/* GX633 (c) 1987 (Japan) */
! 	DRIVER( contrajb )	/* bootleg */
! 	DRIVER( gryzor )	/* GX633 (c) 1987 */
! 	DRIVER( combasc )	/* GX611 (c) 1988 */
! 	DRIVER( combasct )	/* GX611 (c) 1987 */
! 	DRIVER( combascj )	/* GX611 (c) 1987 (Japan) */
! 	DRIVER( bootcamp )	/* GX611 (c) 1987 */
! 	DRIVER( combascb )	/* bootleg */
! 	DRIVER( rockrage )	/* GX620 (c) 1986 (World?) */
! 	DRIVER( rockraga )	/* GX620 (c) 1986 (Prototype?) */
! 	DRIVER( rockragj )	/* GX620 (c) 1986 (Japan) */
! 	DRIVER( mx5000 )	/* GX669 (c) 1987 */
! 	DRIVER( flkatck )	/* GX669 (c) 1987 (Japan) */
! 	DRIVER( fastlane )	/* GX752 (c) 1987 */
! 	DRIVER( tricktrp )	/* GX771 (c) 1987 */
! 	DRIVER( labyrunr )	/* GX771 (c) 1987 (Japan) */
! 	DRIVER( labyrunk )	/* GX771 (c) 1987 (Japan) */
! 	DRIVER( thehustl )	/* GX765 (c) 1987 (Japan) */
! 	DRIVER( thehustj )	/* GX765 (c) 1987 (Japan) */
! 	DRIVER( rackemup )	/* GX765 (c) 1987 */
! 	DRIVER( battlnts )	/* GX777 (c) 1987 */
! 	DRIVER( battlntj )	/* GX777 (c) 1987 (Japan) */
! 	DRIVER( bladestl )	/* GX797 (c) 1987 */
! 	DRIVER( bladstle )	/* GX797 (c) 1987 */
! 	DRIVER( hcastle )	/* GX768 (c) 1988 */
! 	DRIVER( hcastleo )	/* GX768 (c) 1988 */
! 	DRIVER( hcastlej )	/* GX768 (c) 1988 (Japan) */
! 	DRIVER( hcastljo )	/* GX768 (c) 1988 (Japan) */
! 	DRIVER( ajax )		/* GX770 (c) 1987 */
! 	DRIVER( typhoon )	/* GX770 (c) 1987 */
! 	DRIVER( ajaxj )		/* GX770 (c) 1987 (Japan) */
! 	DRIVER( scontra )	/* GX775 (c) 1988 */
! 	DRIVER( scontraj )	/* GX775 (c) 1988 (Japan) */
! 	DRIVER( thunderx )	/* GX873 (c) 1988 */
! 	DRIVER( thnderxa )	/* GX873 (c) 1988 */
! 	DRIVER( thnderxb )	/* GX873 (c) 1988 */
! 	DRIVER( thnderxj )	/* GX873 (c) 1988 (Japan) */
! 	DRIVER( mainevt )	/* GX799 (c) 1988 */
! 	DRIVER( mainevto )	/* GX799 (c) 1988 */
! 	DRIVER( mainev2p )	/* GX799 (c) 1988 */
! 	DRIVER( ringohja )	/* GX799 (c) 1988 (Japan) */
! 	DRIVER( devstors )	/* GX890 (c) 1988 */
! 	DRIVER( devstor2 )	/* GX890 (c) 1988 */
! 	DRIVER( devstor3 )	/* GX890 (c) 1988 */
! 	DRIVER( garuka )	/* GX890 (c) 1988 (Japan) */
! 	DRIVER( 88games )	/* GX861 (c) 1988 */
! 	DRIVER( konami88 )	/* GX861 (c) 1988 */
! 	DRIVER( hypsptsp )	/* GX861 (c) 1988 (Japan) */
! 	DRIVER( gbusters )	/* GX878 (c) 1988 */
! 	DRIVER( crazycop )	/* GX878 (c) 1988 (Japan) */
! 	DRIVER( crimfght )	/* GX821 (c) 1989 (US) */
! 	DRIVER( crimfgt2 )	/* GX821 (c) 1989 (World) */
! 	DRIVER( crimfgtj )	/* GX821 (c) 1989 (Japan) */
! 	DRIVER( spy )		/* GX857 (c) 1989 (World) */
! 	DRIVER( spyu )		/* GX857 (c) 1989 (US) */
! 	DRIVER( bottom9 )	/* GX891 (c) 1989 */
! 	DRIVER( bottom9n )	/* GX891 (c) 1989 */
! 	DRIVER( mstadium )	/* GX891 (c) 1989 (Japan) */
! 	DRIVER( blockhl )	/* GX973 (c) 1989 */
! 	DRIVER( quarth )	/* GX973 (c) 1989 (Japan) */
! 	DRIVER( aliens )	/* GX875 (c) 1990 (World) */
! 	DRIVER( aliens2 )	/* GX875 (c) 1990 (World) */
! 	DRIVER( aliens3 )	/* GX875 (c) 1990 (World) */
! 	DRIVER( aliensu )	/* GX875 (c) 1990 (US) */
! 	DRIVER( aliensj )	/* GX875 (c) 1990 (Japan) */
! 	DRIVER( aliensj2 )	/* GX875 (c) 1990 (Japan) */
! 	DRIVER( suratk )	/* GX911 (c) 1990 (World) */
! 	DRIVER( suratka )	/* GX911 (c) 1990 (Asia) */
! 	DRIVER( suratkj )	/* GX911 (c) 1990 (Japan) */
! 	DRIVER( parodius )	/* GX955 (c) 1990 (World) */
! 	DRIVER( parodisj )	/* GX955 (c) 1990 (Japan) */
! 	DRIVER( rollerg )	/* GX999 (c) 1991 (US) */
! 	DRIVER( rollergj )	/* GX999 (c) 1991 (Japan) */
! 	DRIVER( simpsons )	/* GX072 (c) 1991 */
! 	DRIVER( simps4pa )	/* GX072 (c) 1991 */
! 	DRIVER( simpsn2p )	/* GX072 (c) 1991 */
! 	DRIVER( simps2pa )	/* GX072 (c) 1991 */
! 	DRIVER( simps2pj )	/* GX072 (c) 1991 (Japan) */
! 	DRIVER( esckids )	/* GX975 (c) 1991 (Asia) */
! 	DRIVER( esckidsj )	/* GX975 (c) 1991 (Japan) */
! 	DRIVER( vendetta )	/* GX081 (c) 1991 (World) */
! 	DRIVER( vendetao )	/* GX081 (c) 1991 (World) */
! 	DRIVER( vendet2p )	/* GX081 (c) 1991 (World) */
! 	DRIVER( vendetas )	/* GX081 (c) 1991 (Asia) */
! 	DRIVER( vendtaso )	/* GX081 (c) 1991 (Asia) */
! 	DRIVER( vendettj )	/* GX081 (c) 1991 (Japan) */
! 	DRIVER( mogura )	/* GX141 (c) 1991 */
! 	DRIVER( wecleman )	/* GX602 (c) 1986 */
! 	DRIVER( hotchase )	/* GX763 (c) 1988 */
! 	DRIVER( chqflag )	/* GX717 (c) 1988 */
! 	DRIVER( chqflagj )	/* GX717 (c) 1988 (Japan) */
! 	DRIVER( ultraman )	/* GX910 (c) 1991 Banpresto/Bandai */
! 	DRIVER( hexion )	/* GX122 (c) 1992 */
! 	DRIVER( lethalen )	/* GX191 (c) 1992 */
! 	DRIVER( lethalej )	/* GX191 (c) 1992 */
! 
! 	/* Konami "Nemesis hardware" games */
! 	DRIVER( nemesis )	/* GX456 (c) 1985 */
! 	DRIVER( nemesuk )	/* GX456 (c) 1985 */
! 	DRIVER( konamigt )	/* GX561 (c) 1985 */
! 	DRIVER( salamand )	/* GX587 (c) 1986 */
! 	DRIVER( salamanj )	/* GX587 (c) 1986 */
! 	DRIVER( lifefrce )	/* GX587 (c) 1986 (US) */
! 	DRIVER( lifefrcj )	/* GX587 (c) 1986 (Japan) */
! 	DRIVER( blkpnthr )	/* GX604 (c) 1987 (Japan) */
! 	DRIVER( citybomb )	/* GX787 (c) 1987 (World) */
! 	DRIVER( citybmrj )	/* GX787 (c) 1987 (Japan) */
! 	DRIVER( kittenk )	/* GX712 (c) 1988 */
! 	DRIVER( nyanpani )	/* GX712 (c) 1988 (Japan) */
! 	DRIVER( hcrash )	/* GX790 (c) 1987 */
! 	DRIVER( hcrashc )	/* GX790 (c) 1987 */
! 
! 	/* GX400 BIOS based games */
! 	DRIVER( rf2 )		/* GX561 (c) 1985 */
! 	DRIVER( twinbee )	/* GX412 (c) 1985 */
! 	DRIVER( gradius )	/* GX456 (c) 1985 */
! 	DRIVER( gwarrior )	/* GX578 (c) 1985 */
! 
! 	/* Konami "Twin 16" games */
! 	DRIVER( devilw )	/* GX687 (c) 1987 */
! 	DRIVER( darkadv )	/* GX687 (c) 1987 */
! 	DRIVER( majuu )		/* GX687 (c) 1987 (Japan) */
! 	DRIVER( vulcan )	/* GX785 (c) 1988 */
! 	DRIVER( gradius2 )	/* GX785 (c) 1988 (Japan) */
! 	DRIVER( grdius2a )	/* GX785 (c) 1988 (Japan) */
! 	DRIVER( grdius2b )	/* GX785 (c) 1988 (Japan) */
! 	DRIVER( cuebrick )	/* GX903 (c) 1989 */
! 	DRIVER( fround )	/* GX870 (c) 1988 */
! 	DRIVER( froundl )	/* GX870 (c) 1988 */
! 	DRIVER( hpuncher )	/* GX870 (c) 1988 (Japan) */
! 	DRIVER( miaj )		/* GX808 (c) 1989 (Japan) */
! 
! 	/* (some) Konami 68000 games */
! 	DRIVER( cuebrckj )	/* GX903 (c) 1989 */
! 	DRIVER( mia )		/* GX808 (c) 1989 */
! 	DRIVER( mia2 )		/* GX808 (c) 1989 */
! 	DRIVER( tmnt )		/* GX963 (c) 1989 (World) */
! 	DRIVER( tmntu )		/* GX963 (c) 1989 (US) */
! 	DRIVER( tmntua )	/* GX963 (c) 1989 (US) */
! 	DRIVER( tmht )		/* GX963 (c) 1989 (UK) */
! 	DRIVER( tmntj )		/* GX963 (c) 1990 (Japan) */
! 	DRIVER( tmht2p )	/* GX963 (c) 1989 (UK) */
! 	DRIVER( tmnt2pj )	/* GX963 (c) 1990 (Japan) */
! 	DRIVER( tmnt2po )	/* GX963 (c) 1989 (Oceania) */
! 	DRIVER( punkshot )	/* GX907 (c) 1990 (US) */
! 	DRIVER( punksht2 )	/* GX907 (c) 1990 (US) */
! 	DRIVER( punkshtj )	/* GX907 (c) 1990 (Japan) */
! 	DRIVER( lgtnfght )	/* GX939 (c) 1990 (World) */
! 	DRIVER( lgtnfghu )	/* GX939 (c) 1990 (US) */
! 	DRIVER( trigon )	/* GX939 (c) 1990 (Japan) */
! 	DRIVER( blswhstl )	/* GX060 (c) 1991 */
! 	DRIVER( detatwin )	/* GX060 (c) 1991 (Japan) */
! 	DRIVER( glfgreat )	/* GX061 (c) 1991 */
! 	DRIVER( glfgretj )	/* GX061 (c) 1991 (Japan) */
! 	DRIVER( tmnt2 )		/* GX063 (c) 1991 (US) */
! 	DRIVER( tmnt22p )	/* GX063 (c) 1991 (US) */
! 	DRIVER( tmnt2a )	/* GX063 (c) 1991 (Asia) */
! 	DRIVER( ssriders )	/* GX064 (c) 1991 (World) */
! 	DRIVER( ssrdrebd )	/* GX064 (c) 1991 (World) */
! 	DRIVER( ssrdrebc )	/* GX064 (c) 1991 (World) */
! 	DRIVER( ssrdruda )	/* GX064 (c) 1991 (US) */
! 	DRIVER( ssrdreaa )	/* GX064 (c) 1991 (US) */
! 	DRIVER( ssrdruac )	/* GX064 (c) 1991 (US) */
! 	DRIVER( ssrdrubc )	/* GX064 (c) 1991 (US) */
! 	DRIVER( ssrdrabd )	/* GX064 (c) 1991 (Asia) */
! 	DRIVER( ssrdradd )	/* GX064 (c) 1991 (Asia) */
! 	DRIVER( ssrdrjbd )	/* GX064 (c) 1991 (Japan) */
! 	DRIVER( sunsetbl )	/* bootleg */
! 	DRIVER( xmen )		/* GX065 (c) 1992 (US) */
! 	DRIVER( xmen2p )	/* GX065 (c) 1992 (World) */
! 	DRIVER( xmen2pj )	/* GX065 (c) 1992 (Japan) */
! 	DRIVER( xmen6p )	/* GX065 (c) 1992 */
! 	DRIVER( xmen6pu )	/* GX065 (c) 1992 */
! 	DRIVER( xexex )		/* GX067 (c) 1991 (World) */
! 	DRIVER( xexexa )	/* GX067 (c) 1991 (AAA) */
! 	DRIVER( xexexj )	/* GX067 (c) 1991 (Japan) */
! 	DRIVER( asterix )	/* GX068 (c) 1992 (World) */
! 	DRIVER( astrxeac )	/* GX068 (c) 1992 (World) */
! 	DRIVER( astrxeaa )	/* GX068 (c) 1992 (World) */
! 	DRIVER( gijoe )		/* GX069 (c) 1991 (World) */
! 	DRIVER( gijoeu )	/* GX069 (c) 1991 (US) */
! 	DRIVER( gijoej )	/* GX069 (c) 1991 (Japan) */
! 	DRIVER( thndrx2 )	/* GX073 (c) 1991 (Japan) */
! 	DRIVER( thndrx2a )	/* GX073 (c) 1991 (Asia) */
! 	DRIVER( prmrsocr )	/* GX101 (c) 1993 (Europe) */
! 	DRIVER( prmrsocj )	/* GX101 (c) 1993 (Japan) */
! 	DRIVER( qgakumon )	/* GX248 (c) 1993 (Japan) */
! 	DRIVER( moo )		/* GX151 (c) 1992 (World) */
! 	DRIVER( mooua )		/* GX151 (c) 1992 (US) */
! 	DRIVER( mooaa )		/* GX151 (c) 1992 (US) */
! 	DRIVER( moobl )		/* bootleg */
! 	DRIVER( bucky )		/* GX173 (c) 1992 (World) */
! 	DRIVER( buckyua )	/* GX173 (c) 1992 (US) */
! 	DRIVER( gaiapols )	/* GX123 (c) 1993 (Europe) */
! 	DRIVER( gaiapolu )	/* GX123 (c) 1993 (US) */
! 	DRIVER( gaiapolj )	/* GX123 (c) 1993 (Japan) */
! 	DRIVER( mystwarr )	/* GX128 (c) 1993 (World) */
! 	DRIVER( mystwaru )	/* GX128 (c) 1993 (US) */
! 	DRIVER( viostorm )	/* GX168 (c) 1993 (Europe) */
! 	DRIVER( viostrmu )	/* GX168 (c) 1993 (US) */
! 	DRIVER( viostrmj )	/* GX168 (c) 1993 (Japan) */
! 	DRIVER( viostrma )	/* GX168 (c) 1993 (Asia) */
! 	DRIVER( mmaulers )	/* GX170 (c) 1993 (Europe) */
! 	DRIVER( dadandrn )	/* GX170 (c) 1993 (Japan) */
! 	DRIVER( metamrph )	/* GX224 (c) 1993 (Europe) */
! 	DRIVER( metamrpu )	/* GX224 (c) 1993 (US) */
! 	DRIVER( metamrpj )	/* GX224 (c) 1993 (Japan) */
! 	DRIVER( mtlchamp )	/* GX234 (c) 1993 (World) */
! 	DRIVER( mtlchmp1 )	/* GX234 (c) 1993 (World) */
! 	DRIVER( mtlchmpu )	/* GX234 (c) 1993 (US) */
! 	DRIVER( mtlchmpj )	/* GX234 (c) 1993 (Japan) */
! 	DRIVER( mtlchmpa )	/* GX234 (c) 1993 (Japan) */
! 	DRIVER( rungun )	/* GX247 (c) 1993 (World) */
! 	DRIVER( runguna )	/* GX247 (c) 1993 (World) */
! 	DRIVER( rungunu )	/* GX247 (c) 1993 (US) */
! 	DRIVER( rungunua )	/* GX247 (c) 1993 (US) */
! 	DRIVER( slmdunkj )	/* GX247 (c) 1993 (Japan) */
! 	DRIVER( dbz )		/* (c) 1993 Banpresto */
! 	DRIVER( dbz2 )		/* (c) 1994 Banpresto */
! 	DRIVER( bishi )		/* GX575 (c) 1996 (Japan) */
! 	DRIVER( sbishi )	/* GX675 (c) 1998 (Japan) */
! 
! 	/* Konami dual 68000 games */
! 	DRIVER( overdriv )	/* GX789 (c) 1990 */
! 	DRIVER( gradius3 )	/* GX945 (c) 1989 (Japan) */
! 	DRIVER( grdius3a )	/* GX945 (c) 1989 (Asia) */
! 	DRIVER( grdius3e )	/* GX945 (c) 1989 (World?) */
! 
! 	/* Konami 68020 games */
! 	DRIVER( plygonet )	/* GX305 (c) 1993 */
! 
! 	/* Konami System GX games */
! 	DRIVER( konamigx )
! 
! 	/* GX Type 1 */
! 	DRIVER( racinfrc )	/* GX250 (c) 1994 */
! 	DRIVER( opengolf )	/* GX218 (c) 1994 */
! 	DRIVER( opengol2 )	/* GX218 (c) 1994 */
! 	DRIVER( ggreats2 )	/* GX218 (c) 1994 */
! 
! 	/* GX Type 2 */
! 	DRIVER( le2 )		/* GX312 (c) 1994 */
! 	DRIVER( le2u )		/* GX312 (c) 1994 */
! 	DRIVER( le2j )		/* GX312 (c) 1994 */
! 	DRIVER( puzldama )	/* GX315 (c) 1994 (Japan) */
! 	DRIVER( gokuparo )	/* GX321 (c) 1994 (Japan) */
! 	DRIVER( fantjour )	/* GX321 (c) 1994 */
! 	DRIVER( dragoona )	/* GX417 (c) 1995 (Asia) */
! 	DRIVER( dragoonj )	/* GX417 (c) 1995 (Japan) */
! 	DRIVER( tbyahhoo )	/* GX424 (c) 1995 (Japan) */
! 	DRIVER( tkmmpzdm )	/* GX515 (c) 1995 (Japan) */
! 	DRIVER( salmndr2 )	/* GX521 (c) 1996 (Japan) */
! 	DRIVER( sexyparo )	/* GX533 (c) 1996 (Japan) */
! 	DRIVER( daiskiss )	/* GX535 (c) 1996 (Japan) */
! 	DRIVER( tokkae )	/* GX615 (c) 1996 (Japan) */
! 	DRIVER( winspike )	/* GX705 (c) 1997 EAA */
! 	DRIVER( winspikj )	/* GX705 (c) 1997 JAA */
! 
! 	/* GX Type 3 */
! 	DRIVER( soccerss )	/* GX427 (c) 1994 */
! 	DRIVER( soccersj )	/* GX427 (c) 1994 */
! 	DRIVER( soccersa )	/* GX427 (c) 1994 */
! 
! 	/* GX Type 4 */
! 	DRIVER( vsnetscr )	/* GX627 (c) 1996 */
! 	DRIVER( vsnetscj )	/* GX627 (c) 1996 */
! 	DRIVER( rungun2 )	/* GX505 (c) 1996 */
! 	DRIVER( slamdnk2 )	/* GX505 (c) 1996 */
! 	DRIVER( rushhero )	/* GX605 (c) 1996 */
! 
! 	/* 68k + HD */
! 	DRIVER( qdrmfgp )	/* GQ460 (c) 1994 (Japan) */
! 	DRIVER( qdrmfgp2 )	/* GE557 (c) 1995 (Japan) */
! 
! 	/* DJ Main */
! 	DRIVER( bm1stmix )	/* GQ753 (c) 1997 (Japan) */
! 	DRIVER( bm2ndmix )	/* GX853 (c) 1998 (Japan) */
! 	DRIVER( bm2ndmxa )	/* GX853 (c) 1998 (Japan) */
! 	DRIVER( bmcompmx )	/* GX858 (c) 1999 (Japan) */
! 	DRIVER( hmcompmx )	/* GX858 (c) 1999 */
! 	DRIVER( bm4thmix )	/* GX847 (c) 1999 (Japan) */
! 	DRIVER( bm5thmix )	/* GX981 (c) 1999 (Japan */
! 	DRIVER( bmcorerm )	/* GXA05 (c) 1999 (Japan) */
! 	DRIVER( bmdct )		/* GX995 (c) 2000 (Japan) */
! 	DRIVER( bmcompm2 )	/* GX988 (c) 2000 (Japan) */
! 	DRIVER( hmcompm2 )	/* GX988 (c) 2000 */
! 	DRIVER( bm6thmix )	/* GXA21 (c) 2001 (Japan) */
! 
! 	/* PowerPC based Konami games */
! 	DRIVER( thunderh )	/* GX680 (c)1996 */
! 	DRIVER( slrasslt )	/* GX792 (c)1996 */
! 	DRIVER( gticlub )	/* GX688 (c)1996 */
! 	DRIVER( gticlubj )	/* GX688 (c)1996 */
! 	DRIVER( hangplt )	/* GX685 (c)1997 */
! 	DRIVER( nbapbp )	/* GX778 (c)1998 */
! 	DRIVER( gradius4 )	/* GX837 (c)1999 */
! 	DRIVER( sscope )	/* GX830 (c)1999 */
! 	DRIVER( sscopea )	/* GX830 (c)1999 */
! 	DRIVER( sscope2 )	/* GX931 (c)2000 */
! 	DRIVER( racingj )	/* GX676 (c)1998 */
! 	DRIVER( racingj2 )	/* GX888 (c)1999 */
! 	DRIVER( thrilld )	/* GX713 (c)1998 */
! 	DRIVER( midnrun )	/* GX??? (c)1995 */
! 	DRIVER( windheat )	/* GX677 (c)1996 */
! 
! 	/* Konami M2 games */
! 	DRIVER( polystar )	/* GX623 (c)1997 */
! 	DRIVER( totlvice )	/* ? (c)1997 */
! 	DRIVER( btltryst )	/* GX636 (c)1998 */
! 	DRIVER( heatof11 )	/* GX703 (c)1998 */
! 	DRIVER( evilngt )	/* GX810 (c)1998 */
! 
! 	/* Exidy games */
! 	DRIVER( carpolo )	/* (c) 1977 */
! 	DRIVER( sidetrac )	/* (c) 1979 */
! 	DRIVER( targ )		/* (c) 1980 */
! 	DRIVER( targc )		/* (c) 1980 */
! 	DRIVER( spectar )	/* (c) 1980 */
! 	DRIVER( spectar1 )	/* (c) 1980 */
! 	DRIVER( rallys )	/* (c) 1980 Novar (bootleg?) */
! 	DRIVER( phantoma )	/* (c) 1980 Jeutel (bootleg?) */
! 	DRIVER( venture )	/* (c) 1981 */
! 	DRIVER( venture2 )	/* (c) 1981 */
! 	DRIVER( venture4 )	/* (c) 1981 */
! 	DRIVER( mtrap )		/* (c) 1981 */
! 	DRIVER( mtrap3 )	/* (c) 1981 */
! 	DRIVER( mtrap4 )	/* (c) 1981 */
! 	DRIVER( pepper2 )	/* (c) 1982 */
! 	DRIVER( hardhat )	/* (c) 1982 */
! 	DRIVER( fax )		/* (c) 1983 */
! 	DRIVER( faxa )		/* (c) 1983 */
! 	DRIVER( circus )	/* no copyright notice [1977?] */
! 	DRIVER( robotbwl )	/* no copyright notice */
! 	DRIVER( crash )		/* Exidy [1979?] */
! 	DRIVER( ripcord )	/* Exidy [1977?] */
! 	DRIVER( starfire )	/* Exidy [1979?] */
! 	DRIVER( starfira )	/* Exidy [1979?] */
! 	DRIVER( fireone )	/* (c) 1979 Exidy */
! 	DRIVER( starfir2 )	/* (c) 1979 Exidy */
! 	DRIVER( victory )	/* (c) 1982 */
! 	DRIVER( victorba )	/* (c) 1982 */
! 	DRIVER( topgunnr )	/* (c) 1986 */
! 
! 	/* Exidy 440 games */
! 	DRIVER( crossbow )	/* (c) 1983 */
! 	DRIVER( cheyenne )	/* (c) 1984 */
! 	DRIVER( combat )	/* (c) 1985 */
! 	DRIVER( catch22 )	/* (c) 1985 */
! 	DRIVER( cracksht )	/* (c) 1985 */
! 	DRIVER( claypign )	/* (c) 1986 */
! 	DRIVER( chiller )	/* (c) 1986 */
! 	DRIVER( topsecex )	/* (c) 1986 */
! 	DRIVER( hitnmiss )	/* (c) 1987 */
! 	DRIVER( hitnmis2 )	/* (c) 1987 */
! 	DRIVER( whodunit )	/* (c) 1988 */
! 	DRIVER( showdown )	/* (c) 1988 */
! 
! 	/* Exidy Max-A-Flex */
! 	DRIVER( maxaflex )
! 	DRIVER( mf_achas )
! 	DRIVER( mf_brist )
! 	DRIVER( mf_flip )
! 	DRIVER( mf_bdash )
! 
! 	/* Atari b/w games */
! 	DRIVER( tank8 )		/* ??????           1976/04 [6800] */
! 	DRIVER( tank8a )	/* ??????           1976/04 [6800] */
! 	DRIVER( tank8b )	/* ??????           1976/04 [6800] */
! 	DRIVER( tank8c )	/* ??????           1976/04 [6800] */
! 	DRIVER( tank8d )	/* ??????           1976/04 [6800] */
! 	DRIVER( cball )		/* ?????? prototype 1976/?? [6800] */
! 	DRIVER( copsnrob )	/* 005625           1976/07 [6502] */
! 	DRIVER( flyball )	/* 005629           1976/07 [6502] */
! 	DRIVER( sprint2 )	/* 005922           1976/11 [6502] */
! 	DRIVER( sprint2a )	/* 005922           1976/11 [6502] */
! 	DRIVER( sprint4 )	/* 008716           1977/12 [6502] */
! 	DRIVER( sprint4a )	/* 008716           1977/12 [6502] */
! 	DRIVER( nitedrvr )	/* 006321           1976/10 [6502] */
! 	DRIVER( dominos )	/* 007305           1977/01 [6502] */
! 	DRIVER( triplhnt )	/* 008422-008791    1977/04 [6800] */
! 	DRIVER( sprint8 )	/* ??????           1977/05 [6800] */
! 	DRIVER( sprint8a )	/* ??????           1977/05 [6800] */
! 	DRIVER( dragrace )	/* 008505-008521    1977/06 [6800] */
! 	DRIVER( poolshrk )	/* 006281           1977/06 [6800] */
! 	DRIVER( starshp1 )	/* 007513-007531    1977/07 [6502] */
! 	DRIVER( starshpp )	/* 007513-007531    1977/07 [6502] */
! 	DRIVER( superbug )	/* 009115-009467    1977/09 [6800] */
! 	DRIVER( canyon )	/* 009493-009504    1977/10 [6502] */
! 	DRIVER( canyonp )	/* 009493-009504    1977/10 [6502] */
! 	DRIVER( destroyr )	/* 030131-030136    1977/10 [6800] */
! 	DRIVER( sprint1 )	/* 006443           1978/01 [6502] */
! 	DRIVER( ultratnk )	/* 009801           1978/02 [6502] */
! 	DRIVER( skyraid )	/* 009709           1978/03 [6502] */
! 	DRIVER( tourtabl )	/* 030170           1978/03 [6507] */
! 	DRIVER( tourtab2 )	/* 030170           1978/03 [6507] */
! 	DRIVER( avalnche )	/* 030574           1978/04 [6502] */
! 	DRIVER( cascade )	/* bootleg                         */
! 	DRIVER( firetrk )	/* 030926           1978/06 [6808] */
! 	DRIVER( skydiver )	/* 009787           1978/06 [6800] */
! 	/* Smokey Joe */	/* 030926           1978/07 [6502] */
! 	DRIVER( sbrkout )	/* 033442-033455    1978/09 [6502] */
! 	DRIVER( atarifb )	/* 033xxx           1978/10 [6502] */
! 	DRIVER( atarifb1 )	/* 033xxx           1978/10 [6502] */
! 	DRIVER( orbit )		/* 033689-033702    1978/11 [6800] */
! 	DRIVER( boxer )		/* ?????? prototype 1978    [6502] */
! 	DRIVER( wolfpack )	/* ?????? prototype         [6502] */
! 	DRIVER( mgolf )		/* ?????? prototype 1978    [6502] */
! 	DRIVER( videopin )	/* 034253-034267    1979/02 [6502] */
! 	DRIVER( atarifb4 )	/* 034754           1979/04 [6502] */
! 	DRIVER( subs )		/* 033714           1979/05 [6502] */
! 	DRIVER( bsktball )	/* 034756-034766    1979/05 [6502] */
! 	DRIVER( abaseb )	/* 034711-034738    1979/06 [6502] */
! 	DRIVER( abaseb2 )	/* 034711-034738    1979/06 [6502] */
! 	DRIVER( montecar )	/* 035763-035780    1980/04 [6502] */
! 	DRIVER( soccer )	/* 035222-035260    1980/04 [6502] */
! 
! 	/* Atari "Missile Command hardware" games */
! 	DRIVER( missile )	/* 035820-035825    (c) 1980 */
! 	DRIVER( missile2 )	/* 035820-035825    (c) 1980 */
! 	DRIVER( suprmatk )	/*                  (c) 1980 + (c) 1981 Gencomp */
! 	DRIVER( sprmatkd )	/*                  (c) 1980 + (c) 1981 Gencomp */
! 
! 	/* Atari vector games */
! 	DRIVER( llander )	/* 0345xx           no copyright notice */
! 	DRIVER( llander1 )	/* 0345xx           no copyright notice */
! 	DRIVER( asteroid )	/* 035127-035145    (c) 1979 */
! 	DRIVER( asteroi1 )	/* 035127-035145    no copyright notice */
! 	DRIVER( asteroib )	/* (bootleg) */
! 	DRIVER( asterock )	/* Sidam bootleg    (c) 1979 */
! 	DRIVER( meteorts )	/* VCC bootleg      (c) 1979 */
! 	DRIVER( astdelux )	/* 0351xx           (c) 1980 */
! 	DRIVER( astdelu1 )	/* 0351xx           (c) 1980 */
! 	DRIVER( bzone )		/* 0364xx           (c) 1980 */
! 	DRIVER( bzone2 )	/* 0364xx           (c) 1980 */
! 	DRIVER( bzonec )	/* 0364xx           (c) 1980 */
! 	DRIVER( bradley )	/*     ??           (c) 1980 */
! 	DRIVER( redbaron )	/* 036995-037007    (c) 1980 */
! 	DRIVER( tempest )	/* 136002           (c) 1980 */
! 	DRIVER( tempest1 )	/* 136002           (c) 1980 */
! 	DRIVER( tempest2 )	/* 136002           (c) 1980 */
! 	DRIVER( tempest3 )	/* 136002           (c) 1980 */
! 	DRIVER( temptube )	/* (hack) */
! 	DRIVER( spacduel )	/* 136006           (c) 1980 */
! 	DRIVER( gravitar )	/* 136010           (c) 1982 */
! 	DRIVER( gravitr2 )	/* 136010           (c) 1982 */
! 	DRIVER( gravp )		/* (proto)          (c) 1982 */
! 	DRIVER( lunarbat )	/* (proto)          (c) 1982 */
! 	DRIVER( lunarba1 )	/* (proto)          (c) 1982 */
! 	DRIVER( quantum )	/* 136016           (c) 1982 */	/* made by Gencomp */
! 	DRIVER( quantum1 )	/* 136016           (c) 1982 */	/* made by Gencomp */
! 	DRIVER( quantump )	/* 136016           (c) 1982 */	/* made by Gencomp */
! 	DRIVER( bwidow )	/* 136017           (c) 1982 */
! 	DRIVER( starwars )	/* 136021           (c) 1983 */
! 	DRIVER( starwar1 )	/* 136021           (c) 1983 */
! 	DRIVER( mhavoc )	/* 136025           (c) 1983 */
! 	DRIVER( mhavoc2 )	/* 136025           (c) 1983 */
! 	DRIVER( mhavocp )	/* 136025           (c) 1983 */
! 	DRIVER( mhavocrv )	/* (hack) */
! 	DRIVER( alphaone )	/* (proto)          (c) 1983 */
! 	DRIVER( alphaona )	/* (proto)          (c) 1983 */
! 	DRIVER( esb )		/* 136031           (c) 1985 */
! 
! 	/* Atari "Centipede hardware" games */
! 	DRIVER( warlords )	/* 037153-037159    (c) 1980 */
! 	DRIVER( centiped )	/* 136001           (c) 1980 */
! 	DRIVER( centipd2 )	/* 136001           (c) 1980 */
! 	DRIVER( centtime )	/* 136001           (c) 1980 */
! 	DRIVER( centipdb )	/* (bootleg) */
! 	DRIVER( caterplr )	/* (bootleg) */
! 	DRIVER( millpac )	/* Valadon */
! 	DRIVER( magworm )	/* (bootleg) */
! 	DRIVER( milliped )	/* 136013           (c) 1982 */
! 	DRIVER( qwak )	 	/* (proto)          (c) 1982 */
! 	DRIVER( runaway )	/* (proto)          (c) 1982 */
! 	DRIVER( bullsdrt )	/* (c) 1985 Shinkai */
! 
! 	/* misc Atari games */
! 	DRIVER( tunhunt )	/* 136000           (c) 1979 */
! 	DRIVER( tunhuntc )	/* 136000           (c) 1981 */ /* licensed to / distributed by Centuri */
! 	DRIVER( liberatr )	/* 136012           (c) 1982 */
! 	DRIVER( liberat2 )	/* 136012           (c) 1982 */
! 	DRIVER( foodf )		/* 136020           (c) 1982 */	/* made by Gencomp */
! 	DRIVER( foodf2 )	/* 136020           (c) 1982 */	/* made by Gencomp */
! 	DRIVER( foodfc )	/* 136020           (c) 1982 */	/* made by Gencomp */
! 	DRIVER( ccastles )	/* 136022           (c) 1983 */
! 	DRIVER( ccastle3 )	/* 136022           (c) 1983 */
! 	DRIVER( ccastle2 )	/* 136022           (c) 1983 */
! 	DRIVER( cloak )		/* 136023           (c) 1983 */
! 	DRIVER( cloaksp )	/* 136023           (c) 1983 */
! 	DRIVER( cloakfr )	/* 136023           (c) 1983 */
! 	DRIVER( cloakgr )	/* 136023           (c) 1983 */
! 	DRIVER( cloud9 )	/* (proto)          (c) 1983 */
! 	DRIVER( jedi )		/* 136030           (c) 1984 */
! 
! 	/* Atari System 1 games */
! 	DRIVER( peterpak )	/* 136028           (c) 1984 */
! 	/* Marble Madness */
! 	DRIVER( marble )	/* 136033           (c) 1984 */
! 	DRIVER( marble2 )	/* 136033           (c) 1984 */
! 	DRIVER( marble3 )	/* 136033           (c) 1984 */
! 	DRIVER( marble4 )	/* 136033           (c) 1984 */
! 	/* Indiana Jones and the Temple of Doom */
! 	DRIVER( indytemp )	/* 136036           (c) 1985 */
! 	DRIVER( indytem2 )	/* 136036           (c) 1985 */
! 	DRIVER( indytem3 )	/* 136036           (c) 1985 */
! 	DRIVER( indytem4 )	/* 136036           (c) 1985 */
! 	DRIVER( indytemd )	/* 136036           (c) 1985 */
! 	/* Road Runner */
! 	DRIVER( roadrunn )	/* 136040           (c) 1985 */
! 	DRIVER( roadrun2 )	/* 136040           (c) 1985 */
! 	DRIVER( roadrun1 )	/* 136040           (c) 1985 */
  	/* Road Blasters */
  	DRIVER( roadblst )	/* 136048           (c) 1986, 1987 */
  	DRIVER( roadblsg )	/* 136048           (c) 1986, 1987 */
--- 76,100 ----
  	DRIVER( smgpu2 )	/* (c) 1989 (FD1094, decrypted) */
  	DRIVER( smgpu1 )	/* (c) 1989 (FD1094, decrypted) */
  	DRIVER( smgpj )		/* (c) 1989 (FD1094, decrypted) */
!     	
  	/* Sega System 32 games */
  	DRIVER( radm )		/* (c) 1991 (World) */
  	DRIVER( radmu )		/* (c) 1991 (US) */
  	DRIVER( radr )		/* (c) 1991 (World) */
  	DRIVER( radru )		/* (c) 1991 (US) */
  	DRIVER( f1en )		/* (c) 1991 */
  	DRIVER( slipstrm )	/* (c) 1995 Capcom */
! 	
  	/* Sega Multi System 32 games */
  	DRIVER( orunners )	/* (c) 1992 (World) */
  	DRIVER( orunneru )	/* (c) 1992 (US) */
  	DRIVER( scross )	/* (c) 1992 (World) */
! 	
! 	/* Jaleco games */
! 	DRIVER( cischeat )	/* (c) 1990 Jaleco */
! 	DRIVER( f1gpstar )	/* (c) 1991 Jaleco */
! 	DRIVER( f1gpstr2 )	/* (c) 1993 Jaleco */
!     	
  	/* Road Blasters */
  	DRIVER( roadblst )	/* 136048           (c) 1986, 1987 */
  	DRIVER( roadblsg )	/* 136048           (c) 1986, 1987 */
